Bug 4915 - clean up/refactor VNC codecs
Summary: clean up/refactor VNC codecs
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: VNC (show other bugs)
Version: trunk
Hardware: PC Unknown
: P2 Normal
Target Milestone: 4.2.0
Assignee: Pierre Ossman
URL:
Keywords: prosaic
Depends on:
Blocks: 5106 2928
  Show dependency treegraph
 
Reported: 2013-11-25 13:16 CET by Pierre Ossman
Modified: 2014-04-22 14:01 CEST (History)
0 users

See Also:
Acceptance Criteria:


Attachments

Description Pierre Ossman cendio 2013-11-25 13:16:44 CET
The current VNC code base is not very flexible for doing more CODEC agnostic things like lossless refresh or dynamically changing CODEC based on available bandwidth, CPU and characteristics of the input framebuffer. So before we can start any of those projects, we first need to refactor things into something more sane.
Comment 1 Pierre Ossman cendio 2014-02-26 12:43:08 CET
I severely underestimated how much cleanup was necessary. I think most of it is done now, but there is still much left to do and test that nothing has been broken.
Comment 2 Pierre Ossman cendio 2014-03-26 17:10:57 CET
Finally done and the work has been announced on the tigervnc-devel mailing list.

Nothing has been committed though. We'll do that on bug 5026.
Comment 3 Pierre Ossman cendio 2014-03-26 17:12:05 CET
The work is available on github, in case I somehow lose it:

https://github.com/CendioOssman/TigerVNC

Note You need to log in before you can comment on or make changes to this bug.